<#
* Copyright(c) 2006-2016 ThreatSTOP, Inc. All Rights Reserved
* NOTICE: All information contained herein is, and remains the property of ThreatSTOP, Inc. and its suppliers, if any. The intellectual and 
* technical concepts contained herein are proprietary to ThreatSTOP, Inc. and its suppliers and certain aspects thereof are protected by United 
* States Patent No. 8,533,822 and United States Patent No. 8,869,237, and are protected by trade secret or copyright law.
* US Government Entities: The ThreatSTOP service, software and documentation, as applicable, are "commercial computer software" and
* "commercial computer software documentation" developed exclusively at private expense by Threatstop, Inc. ("Threatstop"). Pursuant to FAR
* 12.212 or DFARS 227 7202 and their successors, as applicable, use, reproduction and disclosure of the software and documentation is
* governed by the terms of Threatstop's commercial agreement.
#>
# ErrID start: 60
# Install Visual C++ 2012 runtime. Used for dig.exe

$ErrorActionPreference = "Stop"
$scriptPath = split-path -parent $MyInvocation.MyCommand.Definition
$regkey = 'HKLM:\SOFTWARE\Microsoft\DevDiv\VC\Servicing\11.0\RuntimeMinimum'
if (Test-Path $regkey)
{
    Write-Host "VC++ 2012 runtime registry key found."
    #(Get-ItemProperty -Path $regkey -Name Version).Version
}
else
{
    Write-Host "Downloading Microsoft Visual C++ 2012"
    if (! (test-path "$scriptPath\VS2012")) { New-Item "$scriptPath\VS2012" -Type directory -Force }
    Write-Host "Microsoft Visual C++ 2012 Update 4 Redistributable Package (x64)"
    Invoke-WebRequest "https://download.microsoft.com/download/1/6/B/16B06F60-3B20-4FF2-B699-5E9B7962F9AE/VSU_4/vcredist_x64.exe" -OutFile "$scriptPath\VS2012\vcredist_x64.exe"
    Write-Host "Installing Microsoft Visual C++ 2012 Runtime"
    Start-Process $scriptPath\VS2012\vcredist_x64.exe -ArgumentList '/q' -NoNewWindow -Wait
    Write-Host "Installation of Microsoft Visual C++ 2012 Runtime completed."  
} 